from ._base import BaseTask
from sync_amz_data.public import AccountClient
from sync_amz_data.tools import timestamp2utc_dt


class AccountTask(BaseTask):
    AmzAdClientClass = AccountClient

    def change_portfolios(self, data: dict):
        data["shop"] = self.shop_info["profile_id"]
        for key in ["lastUpdatedDate", "creationDate"]:
            if key in data:
                data[key] = timestamp2utc_dt(data[key])

        budget: dict = data.pop("budget", None)
        if budget:
            for key, val in budget.items():
                data[f"budget_{key}"] = val
        return data
